Index: LMDZ5/branches/testing/libf/phylmd/phyaqua.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phyaqua.F	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/phyaqua.F	(revision 1795)
@@ -16,11 +16,12 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-      use comgeomphy, only : rlatd,rlond
-      use dimphy, only : klon
-      use surface_data, only : type_ocean,ok_veget
-      use pbl_surface_mod, only : pbl_surface_init
+      USE comgeomphy, only : rlatd,rlond
+      USE dimphy, only : klon
+      USE surface_data, only : type_ocean,ok_veget
+      USE pbl_surface_mod, only : pbl_surface_init
       USE fonte_neige_mod, only : fonte_neige_init
-      use phys_state_var_mod
-      use control_mod, only : dayref,nday,iphysiq
+      USE phys_state_var_mod
+      USE control_mod, only : dayref,nday,iphysiq
+      USE indice_sol_mod
 
       USE IOIPSL 
@@ -33,5 +34,4 @@
 #include "clesphys.h"
 #include "dimsoil.h"
-#include "indicesol.h"
 #include "temps.h"
 
@@ -89,5 +89,9 @@
       integer, save::  read_climoz=0 ! read ozone climatology
 
-
+! intermediate variables to use getin
+      integer :: nbapp_rad_omp
+      real :: co2_ppm_omp,solaire_omp
+      logical :: alb_ocean_omp
+      real :: rugos_omp
 !-------------------------------------------------------------------------
 !  declaration pour l'appel a phyredem
@@ -160,6 +164,10 @@
          zcufi=1.
          zcvfi=1.
-      nbapp_rad=24
-      CALL getin('nbapp_rad',nbapp_rad)
+!$OMP MASTER
+      nbapp_rad_omp=24
+      CALL getin('nbapp_rad',nbapp_rad_omp)
+!$OMP END MASTER
+!$OMP BARRIER
+      nbapp_rad=nbapp_rad_omp
 
 !---------------------------------------------------------------------
@@ -168,13 +176,20 @@
 ! Initialisations des constantes
 ! Ajouter les manquants dans planete.def... (albedo etc)
-      co2_ppm=348.
-      CALL getin('co2_ppm',co2_ppm)
-      solaire=1365.
-      CALL getin('solaire',solaire)
+!$OMP MASTER
+      co2_ppm_omp=348.
+      CALL getin('co2_ppm',co2_ppm_omp)
+      solaire_omp=1365.
+      CALL getin('solaire',solaire_omp)
+!      CALL getin('albedo',albedo) ! albedo is set below, depending on type_aqua
+      alb_ocean_omp=.true.
+      CALL getin('alb_ocean',alb_ocean_omp)
+!$OMP END MASTER
+!$OMP BARRIER
+      co2_ppm=co2_ppm_omp
+      solaire=solaire_omp
+      alb_ocean=alb_ocean_omp
+
       radsol=0.
       qsol_f=10.
-!      CALL getin('albedo',albedo) ! albedo is set below, depending on type_aqua
-      alb_ocean=.true.
-      CALL getin('alb_ocean',alb_ocean)
 
 c  Conditions aux limites:
@@ -208,5 +223,10 @@
       endif
 
-      CALL getin('rugos',rugos)
+!$OMP MASTER
+      rugos_omp=rugos
+      CALL getin('rugos',rugos_omp)
+!$OMP END MASTER
+!$OMP BARRIER
+      rugos=rugos_omp
       zmasq(:)=pctsrf(:,is_oce)
 
Index: LMDZ5/branches/testing/libf/phylmd/phyetat0.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phyetat0.F	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/phyetat0.F	(revision 1795)
@@ -23,4 +23,5 @@
       USE carbon_cycle_mod,ONLY :
      &     carbon_cycle_tr, carbon_cycle_cpl, co2_send
+      USE indice_sol_mod
 
       IMPLICIT none
@@ -31,5 +32,4 @@
 #include "dimensions.h"
 #include "netcdf.inc"
-#include "indicesol.h"
 #include "dimsoil.h"
 #include "clesphys.h"
Index: LMDZ5/branches/testing/libf/phylmd/phyredem.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phyredem.F	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/phyredem.F	(revision 1795)
@@ -16,4 +16,5 @@
       USE control_mod
       USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, co2_send
+      USE indice_sol_mod
 
       IMPLICIT none
@@ -23,5 +24,4 @@
 c======================================================================
 #include "netcdf.inc"
-#include "indicesol.h"
 #include "dimsoil.h"
 #include "clesphys.h"
Index: LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90	(revision 1795)
@@ -55,6 +55,6 @@
       REAL, SAVE, ALLOCATABLE :: d_u_oli(:,:), d_v_oli(:,:)
       !$OMP THREADPRIVATE(d_u_oli, d_v_oli)
-      REAL, SAVE, ALLOCATABLE :: d_t_vdf(:,:), d_q_vdf(:,:)
-      !$OMP THREADPRIVATE( d_t_vdf, d_q_vdf)
+      REAL, SAVE, ALLOCATABLE :: d_t_vdf(:,:), d_q_vdf(:,:), d_t_diss(:,:)
+      !$OMP THREADPRIVATE( d_t_vdf, d_q_vdf,d_t_diss)
       REAL, SAVE, ALLOCATABLE :: d_u_vdf(:,:), d_v_vdf(:,:)
       !$OMP THREADPRIVATE(d_u_vdf, d_v_vdf)
@@ -191,10 +191,10 @@
 !======================================================================
 SUBROUTINE phys_local_var_init
-use dimphy
-use infotrac, ONLY : nbtr
+USE dimphy
+USE infotrac, ONLY : nbtr
 USE aero_mod
+USE indice_sol_mod
 
 IMPLICIT NONE
-#include "indicesol.h"
       allocate(t_seri(klon,klev),q_seri(klon,klev),ql_seri(klon,klev),qs_seri(klon,klev))
       allocate(u_seri(klon,klev),v_seri(klon,klev))
@@ -216,5 +216,5 @@
       allocate(d_t_lscth(klon,klev),d_q_lscth(klon,klev))
       allocate(plul_st(klon),plul_th(klon))
-      allocate(d_t_vdf(klon,klev),d_q_vdf(klon,klev))
+      allocate(d_t_vdf(klon,klev),d_q_vdf(klon,klev),d_t_diss(klon,klev))
       allocate(d_u_vdf(klon,klev),d_v_vdf(klon,klev))
       allocate(d_t_oli(klon,klev),d_t_oro(klon,klev))
@@ -283,7 +283,7 @@
 !======================================================================
 SUBROUTINE phys_local_var_end
-use dimphy
+USE dimphy
+USE indice_sol_mod
 IMPLICIT NONE
-#include "indicesol.h"
       deallocate(t_seri,q_seri,ql_seri,qs_seri)
       deallocate(u_seri,v_seri)
@@ -305,5 +305,5 @@
       deallocate(d_t_lscth,d_q_lscth)
       deallocate(plul_st,plul_th)
-      deallocate(d_t_vdf,d_q_vdf)
+      deallocate(d_t_vdf,d_q_vdf,d_t_diss)
       deallocate(d_u_vdf,d_v_vdf)
       deallocate(d_t_oli,d_t_oro)
